Package org.eclipse.graphiti.ui.internal.editor

## Class DefaultFlyoutPalettePreferences

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.editor.DefaultFlyoutPalettePreferences

All Implemented Interfaces:
  `org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences`

    public class DefaultFlyoutPalettePreferences
    extends java.lang.Object
    implements org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences

This class is a simple container for the preferences fo the FlyoutPalette.

### Field Summary

Fields
`protected int` `_dockLocation` The _dock location.
`protected int` `_paletteState` The _palette state.
`protected int` `_paletteWidth` The _palette width.

### Constructor Summary

Constructors
`DefaultFlyoutPalettePreferences()` Creates a new DefaultFlyoutPalettePreferences.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `afterSetValue()` Is called in every set-method for one of the preference-values after the value was set.
`protected void` `beforeGetValue()` Is called in every get-method for one of the preference-values before the value is returned.
`int` `getDockLocation()` Returns the dock location.
`int` `getPaletteState()` Returns the palette state.
`int` `getPaletteWidth()` Returns the palette width.
`void` `setDockLocation​(int dockLocation)` Sets the dock location.
`void` `setPaletteState​(int paletteState)` Sets the palette state.
`void` `setPaletteWidth​(int paletteWidth)` Sets the palette width.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _dockLocation

    protected int _dockLocation

The _dock location.

#### _paletteState

    protected int _paletteState

The _palette state.

#### _paletteWidth

    protected int _paletteWidth

The _palette width.

### Constructor Detail

#### DefaultFlyoutPalettePreferences

    public DefaultFlyoutPalettePreferences()

Creates a new DefaultFlyoutPalettePreferences.

### Method Detail

#### getDockLocation

    public final int getDockLocation()

Returns the dock location.

Specified by:
  `getDockLocation` in interface `org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences`
Returns:
  The dock location.

#### setDockLocation

    public final void setDockLocation​(int dockLocation)

Sets the dock location.

Specified by:
  `setDockLocation` in interface `org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences`
Parameters:
  `dockLocation` - The dock location to set.

#### getPaletteState

    public final int getPaletteState()

Returns the palette state.

Specified by:
  `getPaletteState` in interface `org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences`
Returns:
  The palette state.

#### setPaletteState

    public final void setPaletteState​(int paletteState)

Sets the palette state.

Specified by:
  `setPaletteState` in interface `org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences`
Parameters:
  `paletteState` - The palette state to set.

#### getPaletteWidth

    public final int getPaletteWidth()

Returns the palette width.

Specified by:
  `getPaletteWidth` in interface `org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences`
Returns:
  The palette width.

#### setPaletteWidth

    public final void setPaletteWidth​(int paletteWidth)

Sets the palette width.

Specified by:
  `setPaletteWidth` in interface `org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences`
Parameters:
  `paletteWidth` - The palette width to set.

#### beforeGetValue

    protected void beforeGetValue()

Is called in every get-method for one of the preference-values before the value is returned. This method can be overwritten to load the values from a persistent storage.

By default this method does nothing.

#### afterSetValue

    protected void afterSetValue()

Is called in every set-method for one of the preference-values after the value was set. This method can be overwritten to save the values to a persistent storage.

By default this method does nothing.